summaryrefslogtreecommitdiffstats
path: root/testsuite/cycle2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/cycle2.sh')
-rwxr-xr-xtestsuite/cycle2.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testsuite/cycle2.sh b/testsuite/cycle2.sh
index 0b99a5d..a160a3a 100755
--- a/testsuite/cycle2.sh
+++ b/testsuite/cycle2.sh
@@ -21,6 +21,8 @@ grep -v 'has a dependency cycle' cycle2.log \
| grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` && exit 2
grep -q "^`echo $PRELINK | sed 's/ .*$/: .*has a dependency cycle/'`" \
cycle2.log || exit 3
-LD_LIBRARY_PATH=. ./cycle2 || exit 4
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./cycle2 || exit 4
+fi
# So that it is not prelinked again
chmod -x ./cycle2